SDL_IsGamepad(3)

NAME
SDL_IsGamepad - Check if the given joystick is supported by the gamepad interface.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_IsGamepad(SDL_JoystickID instance_id);

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns SDL_TRUE
 if the given joystick is supported by the gamepad interface, SDL_FALSE
 if it isn't or it's an invalid index.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoysticks(3), SDL_OpenGamepad(3)